struct BM86x_LCD
{
	// Byte 0
	uint8_t AUTO : 1;
	uint8_t R : 1;
	uint8_t C : 1;
	uint8_t H : 1;
	uint8_t DC : 1;
	uint8_t MAX : 1;
	uint8_t MIN : 1;
	uint8_t AWG : 1;

	// Byte 1
	uint8_t AC_1 : 1;
	uint8_t T1 : 1;
	uint8_t temp_minus : 1;
	uint8_t T2_1 : 1;
	uint8_t bar_scale : 1;
	uint8_t bar_negative : 1;
	uint8_t VFD : 1;
	uint8_t negative_1 : 1;

	// Byte 2
	uint8_t Attention : 1;
	uint8_t seg1_e : 1;
	uint8_t seg1_f : 1;
	uint8_t seg1_a : 1;
	uint8_t seg1_d : 1;
	uint8_t seg1_c : 1;
	uint8_t seg1_g : 1;
	uint8_t seg1_b : 1;

	// Byte 3
	uint8_t dot1 : 1;
	uint8_t seg2_e : 1;
	uint8_t seg2_f : 1;
	uint8_t seg2_a : 1;
	uint8_t seg2_d : 1;
	uint8_t seg2_c : 1;
	uint8_t seg2_g : 1;
	uint8_t seg2_b : 1;

	// Byte 4
	uint8_t dot2 : 1;
	uint8_t seg3_e : 1;
	uint8_t seg3_f : 1;
	uint8_t seg3_a : 1;
	uint8_t seg3_d : 1;
	uint8_t seg3_c : 1;
	uint8_t seg3_g : 1;
	uint8_t seg3_b : 1;

	// Byte 5
	uint8_t dot3 : 1;
	uint8_t seg4_e : 1;
	uint8_t seg4_f : 1;
	uint8_t seg4_a : 1;
	uint8_t seg4_d : 1;
	uint8_t seg4_c : 1;
	uint8_t seg4_g : 1;
	uint8_t seg4_b : 1;

	// Byte 6
	uint8_t dot4 : 1;
	uint8_t seg5_e : 1;
	uint8_t seg5_f : 1;
	uint8_t seg5_a : 1;
	uint8_t seg5_d : 1;
	uint8_t seg5_c : 1;
	uint8_t seg5_g : 1;
	uint8_t seg5_b : 1;

	// Byte 7
	uint8_t V_1 : 1;
	uint8_t seg6_e : 1;
	uint8_t seg6_f : 1;
	uint8_t seg6_a : 1;
	uint8_t seg6_d : 1;
	uint8_t seg6_c : 1;
	uint8_t seg6_g : 1;
	uint8_t seg6_b : 1;

	// Byte 8
	uint8_t u_2 : 1;
	uint8_t m_2 : 1;
	uint8_t A_2 : 1;
	uint8_t ma20 : 1;
	uint8_t negative_2 : 1;
	uint8_t AC_2 : 1;
	uint8_t T2_2 : 1;
	uint8_t battery : 1;

	// Byte 9
	uint8_t sound : 1;
	uint8_t seg7_e : 1;
	uint8_t seg7_f : 1;
	uint8_t seg7_a : 1;
	uint8_t seg7_d : 1;
	uint8_t seg7_c : 1;
	uint8_t seg7_g : 1;
	uint8_t seg7_b : 1;

	// Byte 10
	uint8_t small_dot1 : 1;
	uint8_t seg8_e : 1;
	uint8_t seg8_f : 1;
	uint8_t seg8_a : 1;
	uint8_t seg8_d : 1;
	uint8_t seg8_c : 1;
	uint8_t seg8_g : 1;
	uint8_t seg8_b : 1;

	// Byte 11
	uint8_t small_dot2 : 1;
	uint8_t seg9_e : 1;
	uint8_t seg9_f : 1;
	uint8_t seg9_a : 1;
	uint8_t seg9_d : 1;
	uint8_t seg9_c : 1;
	uint8_t seg9_g : 1;
	uint8_t seg9_b : 1;

	// Byte 12
	uint8_t small_dot3 : 1;
	uint8_t seg10_e : 1;
	uint8_t seg10_f : 1;
	uint8_t seg10_a : 1;
	uint8_t seg10_d : 1;
	uint8_t seg10_c : 1;
	uint8_t seg10_g : 1;
	uint8_t seg10_b : 1;

	// Byte 13
	uint8_t M_2 : 1;
	uint8_t k_2 : 1;
	uint8_t Hz_2 : 1;
	uint8_t V_2 : 1;
	uint8_t S : 1;
	uint8_t F : 1;
	uint8_t n : 1;
	uint8_t A_1 : 1;

	// Byte 14
	uint8_t Hz_1 : 1;
	uint8_t dB : 1;
	uint8_t m_1 : 1;
	uint8_t u_1 : 1;
	uint8_t ohm : 1;
	uint8_t M_1 : 1;
	uint8_t k_1 : 1;
	uint8_t duty : 1;
};